This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 179443 - (perl-Math-GMP) Review Request: perl-Math-GMP
Review Request: perl-Math-GMP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-31 09:20 EST by Paul Howarth
Modified: 2009-03-12 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-07 07:45:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-01-31 09:20:27 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Math-GMP/perl-Math-GMP.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Math-GMP/perl-Math-GMP-2.04-1.src.rpm
Description:

Math::GMP was designed to be a drop-in replacement both for Math::BigInt and
for regular integer arithmetic. Unlike BigInt, though, Math::GMP uses the GNU
gmp library for all of its calculations, as opposed to straight Perl functions.
This can result in speed improvements.
Comment 1 Jason Tibbitts 2006-02-07 03:27:53 EST
rpmlint is completely silent.
Package meets naming and packaging guidelines.
Specfile is properly named, legible, and uses macros consistently.
BuildRequires: is proper.
License is acceptable, matches License: tag and is included as %doc.
Source file md5sum matches upstream.
Package builds and installs on FC4 x86.

Approved.
Comment 2 Paul Howarth 2006-02-07 07:45:17 EST
Thanks for the review. It turns out I needed to patch the testsuite to get it to
work on 64-bit arches (see http://rt.cpan.org/Public/Bug/Display.html?id=12751).

Build on target fedora-development-extras has now succeeded.

I've updated owners.list and requested an FC-4 branch.
Comment 3 Paul Howarth 2009-03-11 06:43:15 EDT
Package Change Request
======================
Package Name: perl-Math-GMP
New Branches: EL-4 EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-03-12 23:08:24 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.